Subject: bug#36332: non-GUI build broken on macOS

From: Alan Third <[email-masked]>
Date: Sat, 22 Jun 2019 20:38:19 +0100

On Sat, Jun 22, 2019 at 11:46:26AM -0700, Paul Eggert wrote:
> Apparently Emacs master does not build in macOS when configured without a
> GUI, e.g., './configure --without-ns'. Someone with macOS experience should
> fix this, as Emacs should always be buildable without a GUI.

It is. What doesn’t work is defining HAVE_NS but not setting the
requirements for an NS build.

'./configure --without-ns' works fine as is.
-- 
Alan Third